> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a product from an order

> Remove a single prescription product, non-prescription product, or order material item from an order.

Edits are allowed when an order is in `received` status.




## OpenAPI

````yaml /openapi-public.yml delete /api/v1/orders/{order_id}/products/{product_type}/{id}
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/orders/{order_id}/products/{product_type}/{id}:
    delete:
      tags:
        - Orders
      summary: Remove a product from an order
      description: >
        Remove a single prescription product, non-prescription product, or order
        material item from an order.


        Edits are allowed when an order is in `received` status.
      parameters:
        - name: order_id
          in: path
          required: true
          description: >-
            Unique identifier for the order, either UUID, order number (e.g.
            ORD250312003548IAU4), or external ID (e.g. my-system-128318AA2) if
            you have provided one during order creation or update.
          schema:
            type: string
        - name: product_type
          in: path
          required: true
          description: Type of product line to remove
          schema:
            type: string
            enum:
              - prescription
              - non_prescription
              - order_material
        - name: id
          in: path
          required: true
          description: Unique identifier (UUID) of the product on the order line
          schema:
            type: string
            format: uuid
        - name: order_item_id
          in: query
          required: false
          description: >-
            Unique identifier (UUID) of the order line row. Required when the
            same product appears more than once on the order; use the
            `order_item_id` value from the order's `products` object.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Product removed from order successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Non_prescription product removed from order
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````